/**
 * Instances of this class represents a file in a chat message. This class must not be
 * directly instantiated. Instances of this class can be obtained using {@link ChatMessage#getData}.
 */
export declare class ChatMessageFile {
    private name;
    private url;
    private cachedType?;
    /** @ignore */
    constructor(name: string, url: string);
    /**
     * Returns the name of the file.
     * @return Name of the file
     */
    getName(): string;
    /**
     * Returns the URL of the file.
     * @return URL of the file
     */
    getUrl(): string;
}
