import { Observable } from 'rxjs';
import { GroupService } from '../wac-proxy/wac-stack/groups/GroupService';
import { Group } from './Group';
/**
 * This class allows manager the groups. To obtain an instance of the
 * class {@link Session#getGroupRepository} method must be used.
 */
export declare class GroupRepository {
    private groupService;
    groups$: Observable<Group[]>;
    constructor(groupService: GroupService);
    private getActions;
    /**
     * Creates a new group
     */
    createGroup(name: string, participants: string[]): Promise<void>;
    /**
     * Saves a group
     */
    saveGroup(group: Group): Promise<void>;
    /**
     * Deletes a group
     */
    deleteGroup(group: Group): Promise<void>;
}
