import { PermissionService } from '../wac-proxy/wac-stack/permissions/PermissionService';
/**
 * This class allows manager the permissions. To obtain an instance of the
 * class {@link Session.getPermissionManager} method must be used.
 */
export declare class PermissionManager {
    private permissionService;
    /** @ignore */
    constructor(permissionService: PermissionService);
    /** @ignore */
    init(): Promise<void>;
    /**
     * Returns if the user has permissions to set the conference record option
     * @throws {NotInitializedError} thrown when the {@link PermissionManager} was not initialized
     */
    canSetRecordOption(): boolean;
    /**
     * Returns whether the conferences created by the user will be recorded
     * @throws {NotInitializedError} thrown when the {@link PermissionManager} was not initialized
     */
    canAlwaysRecord(): boolean;
    /**
     * Returns if the VoiceMail is enabled or not to the user
     * @throws {NotInitializedError} thrown when the {@link PermissionManager} was not initialized
     */
    canUseVoiceMail(): boolean;
}
