import { Observable } from 'rxjs';
import { Conferences } from './Conferences';
import { Session } from './Session';
interface Credential {
    authserver: string;
    username: string;
    token: string;
    applicationToken: string;
}
interface RegisterOptions {
    deviceId: string;
}
export declare class Janus {
    private dependencies;
    reconnecting$: Observable<void>;
    reconnected$: Observable<void>;
    disconnected$: Observable<void>;
    private reconnectingSubject;
    private reconnectedSubject;
    private disconnectedSubject;
    private conferences;
    private session;
    constructor(dependencies?: {});
    get conference(): Conferences;
    getSession(): Session | null;
    capabilities(): string[];
    register(credential: Credential, options: RegisterOptions): Promise<void>;
    unregister(): Promise<void>;
    suspendSession(): Promise<void>;
    resumeSession(): Promise<void>;
    private onSessionCreated;
    private onSessionReconnecting;
    private onSessionReconnected;
    private onSessionClosed;
}
export {};
