import { MediaTypes } from '../../../../types';
import { ServerAPI } from './ServerAPI';
export declare class CallTransferAPI extends ServerAPI {
    /**
     * Try to perform an unattended call transfer
     * @throws {ErrorResponse} when server returns an error.
     * @param username who must be inserted in conference
     * @param roomId room identifier where invited user should join.
     * @return resolved with server response on success.
     */
    unattendedCallTransfer(id: string, username: string, roomId: string, mediatypes: MediaTypes): Promise<unknown>;
    /**
     * Accept performing the call transfer
     * @throws {ErrorResponse} when server returns an error.
     * @param callTransferID call transfer identifier
     * @return resolved with server response on success.
     */
    acceptCallTransfer(id: string, callTransferID: string): Promise<unknown>;
}
