import { ServerAPI } from './ServerAPI';
export declare class RegisterAPI extends ServerAPI {
    /**
     * Create a registry on server.
     * @throws {ErrorResponse} if server returns an error
     * @param username user name to register.
     * @param token validation token.
     * @param options.deviceId The id that identifies to a device
     * @return resolved with created registry.
     */
    login(username: string, token: string, { deviceId }?: {
        deviceId?: string;
    }): Promise<unknown>;
    /**
     * Remove registration on server
     * @throws {ErrorResponse} if server returns an error
     * @return resolved on success.
     */
    logout(): Promise<unknown>;
}
