import { Observable } from 'rxjs';
import { WacRequest } from '../WacRequest';
import { ConferenceLogEntryDto, ConferenceLogEntryEventDto, MissedCallDto } from './types';
export declare class ConferenceLogService {
    private wacRequest;
    readonly event$: Observable<ConferenceLogEntryEventDto>;
    readonly missedCallEvent$: Observable<readonly MissedCallDto[]>;
    constructor(wacRequest: WacRequest);
    fetch(limit: number, lastEntryStartTimestamp: number): Observable<readonly ConferenceLogEntryDto[]>;
    getMissedCalls(userId: string): Observable<readonly MissedCallDto[]>;
    readMissedCalls(userId: string, last: string): Promise<void>;
}
